package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwMPaidHolidayList;

public class ImwMPaidHolidayList extends _ImwMPaidHolidayList {
  
/*add 趙丹 2010/01/26 Start----  */
	 public Integer getPaidHolidayListId() {
		    if (getObjectId() != null && !getObjectId().isTemporary()) {
		      Object obj = getObjectId().getIdSnapshot().get(PAID_HOLIDAY_LIST_ID_PK_COLUMN);
		      if (obj instanceof Long) {
		        Long value = (Long) obj;
		        return Integer.valueOf(value.intValue());
		      } else {
		        return (Integer) obj;
		      }
		    } else {
		      return null;
		    }
		  }

	  public void setPaidHolidayListId(int id) {
	    setObjectId(new ObjectId("ImwMPaidHolidayList", PAID_HOLIDAY_LIST_ID_PK_COLUMN, Integer
	        .valueOf(id)));
	  }

		  public void setPaidHolidayListId(String id) {
		    setObjectId(new ObjectId("ImwMPaidHolidayList", PAID_HOLIDAY_LIST_ID_PK_COLUMN, Integer
		        .valueOf(id)));
		  }
		
/*add 趙丹 2010/01/26 End----  */
}



